'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.locationsEqual = exports.getRoute = exports.createSpec = exports.getLocationFromSpec = exports.createRoutes = exports.createRoutable = undefined;

var _utils = require('./utils');

var _createRoutable = require('./createRoutable');

var _createRoutable2 = _interopRequireDefault(_createRoutable);

var _createRoutes = require('./createRoutes');

var _createRoutes2 = _interopRequireDefault(_createRoutes);

var _getLocationFromSpec = require('./getLocationFromSpec');

var _getLocationFromSpec2 = _interopRequireDefault(_getLocationFromSpec);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.createRoutable = _createRoutable2.default;
exports.createRoutes = _createRoutes2.default;
exports.getLocationFromSpec = _getLocationFromSpec2.default;
exports.createSpec = _utils.createSpec;
exports.getRoute = _utils.getRoute;
exports.locationsEqual = _utils.locationsEqual;