'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _values = require('babel-runtime/core-js/object/values');

var _values2 = _interopRequireDefault(_values);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stringifyValues = function stringifyValues(route, values) {
  return (0, _values2.default)(route.params).filter(function (_ref) {
    var key = _ref.key,
        notSetValue = _ref.notSetValue;
    return values[key] !== notSetValue;
  }).map(function (_ref2) {
    var key = _ref2.key,
        name = _ref2.name,
        stringify = _ref2.stringify;
    return [name, stringify(values[key])];
  }).reduce(_utils.createObject, {});
};

exports.default = function (routes, location, spec) {
  var locationValues = stringifyValues(spec.route, spec.params);

  return spec.route.getLocation(locationValues, location);
};